Multiple vulnerabilities in Mitsubishi Electric FA Engineering Software



Published: 2022-01-05
Risk Medium
Patch available YES
Number of vulnerabilities 2
CVE-ID CVE-2021-20606
CVE-2021-20607
CWE-ID CWE-125
CWE-191
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
GX Works2
Client/Desktop applications / Software for system administration

MELSOFT Navigator
Client/Desktop applications / Software for system administration

EZSockdet
Client/Desktop applications / Software for system administration

Vendor Mitsubishi Electric

Security Bulletin

This security bulletin contains information about 2 vulnerabilities.

1) Out-of-bounds read

EUVDB-ID: #VU59226

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2021-20606

CWE-ID: CWE-125 - Out-of-bounds Read

Exploit availability: No

Description

The vulnerability allows a remote attacker to perform a denial of service (DoS) attack.

The vulnerability exists due to a boundary condition. A remote attacker can create a specially crafted file, trick the victim into opening it, trigger out-of-bounds read error and cause a denial of service condition on the system.

Mitigation

Install update from vendor's website.

Vulnerable software versions

GX Works2: 1.606G

MELSOFT Navigator: All versions

EZSockdet: All versions


CPE2.3 External links

http://jvn.jp/vu/JVNVU93817405/index.html
http://us-cert.cisa.gov/ics/advisories/icsa-21-350-05
http://www.mitsubishielectric.com/en/psirt/vulnerability/pdf/2021-021_en.pdf

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

2) Integer underflow

EUVDB-ID: #VU59227

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2021-20607

CWE-ID: CWE-191 - Integer Underflow (Wrap or Wraparound)

Exploit availability: No

Description

The vulnerability allows a remote attacker to perform a denial of service (DoS) attack.

The vulnerability exists due to integer underflow. A remote attacker can trick a victim to open a specially crafted file, trigger integer underflow and cause a denial of service condition on the target system.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

GX Works2: 1.606G

MELSOFT Navigator: All versions

EZSockdet: All versions


CPE2.3 External links

http://jvn.jp/vu/JVNVU93817405/index.html
http://us-cert.cisa.gov/ics/advisories/icsa-21-350-05
http://www.mitsubishielectric.com/en/psirt/vulnerability/pdf/2021-021_en.pdf

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###